Subject: Re: opinion on 1.37

From: Zheng Gengbing <[email-masked]>
Date: Thu, 18 Apr 1996 19:12:09 +0800 (EAT)

On Wed, 17 Apr 1996, Guansong Zhang wrote:

> 
> When comparing dumpdep results on rs6000 with pku's, I got the following
> defference:
> 
> ...Comparing g6.dep.lnk
> 340c340
> <   150-E   300    27-T              2147483647                       INT_VAL
> ---
> >   150-E   300    27-T              -691489935                       INT_VAL
> 345c345
> <   155-E   810     1-T               537546392                    BINARY_VAL
> ---
> >   155-E   810     1-T              1074109432                    BINARY_VAL
> 347c347
> <   157-E   810     1-T               537546664                    BINARY_VAL
> ---
> >   157-E   810     1-T              1074109696                    BINARY_VAL
> 349c349
> <   159-E   811     1-T               537546936                      OCTN_VAL
> ---
> >   159-E   811     1-T              1074109960                      OCTN_VAL
> 351c351
> <   161-E   811     1-T               537547208                      OCTN_VAL
> ---
> >   161-E   811     1-T              1074110224                      OCTN_VAL
> 353c353
> <   163-E   812     1-T               537547480                       HEX_VAL
> ---
> >   163-E   812     1-T              1074110488                       HEX_VAL
> 355c355
> <   165-E   812     1-T               537547752                       HEX_VAL
> ---
> >   165-E   812     1-T              1074110752                       HEX_VAL
> 
> What this big number mean? I don't know this.
>

	This perhaps is because dumpdep use a special way to store the 
constant value .

> 
> I don't know why pku put suffix control in makefile under testsuite, they seems
> don't play a role, you are still improving on it? Any way, a small mistake, in
> Makefile.in under testsuite/unparse, line 49, & should be quoted, otherwise
> shell is considered it belong commands.
>

	I intend to use the suffix rule to make one sample file , instead
of make check all.   After you update a file.f , type
	make file.dep
	          ^^^
this will do the work properly. 

***************************************************************************
*     Zheng Gengbin                 *                                     *
*                                   *                                     *
*  Dept. of Computer Science        *  Phone:  86-10-2585088              *
*         & Technology              *  Email:                             *
*                                   *      [email-masked]   *
*  Peking University P.R.China      *  Mail:                              *
*                                   *      Room 1077 ,Building 47,        *
*                                   *      Peking University, P.R.China   *
***************************************************************************